package xyz.inlineyt.stamper;

import org.bukkit.Bukkit;

import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;
import xyz.inlineyt.stamper.commands.*;
import xyz.inlineyt.stamper.gameState.StateManager;
import xyz.inlineyt.stamper.listener.*;

public final class Main extends JavaPlugin {

    @Override
    public void onEnable() {
        // Plugin startup logic
      //  StateManager.setState("Lobby");
        PluginManager manager = Bukkit.getPluginManager();
        manager.registerEvents(new ChatListener(), this);
        manager.registerEvents(new JoinListener(), this);
        manager.registerEvents(new QuitListener(), this);
        manager.registerEvents(new EntityHitListener(), this);
        manager.registerEvents(new DeathListener(), this);
        manager.registerEvents(new InvClickListener(), this);
        getCommand("StartGame").setExecutor(new StartGame());
        getCommand("Compass").setExecutor(new Compass());
        getCommand("Rank").setExecutor(new rank());
        //getCommand("Compass").setExecutor(new Compass());
        getCommand("Kits").setExecutor(new Kits());
        getCommand("Teleport").setExecutor(new Teleport());
        getCommand("giveKit").setExecutor(new GiveKit());
        xyz.inlineyt.stamper.kits.Kits.getKits().add("Tank-Test");
        xyz.inlineyt.stamper.kits.Kits.getKits().add("Test-OP");
        xyz.inlineyt.stamper.kits.Kits.getKits().add("Test-Normal");
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
    }
}
