package xyz.inlineyt.stamper.listener;

import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.inventory.Inventory;
import xyz.inlineyt.stamper.builder.ItemBuilder;
import xyz.inlineyt.stamper.kits.SelectedOPKit;

public class InvClickListener implements Listener {

    @EventHandler(ignoreCancelled = true)
    public void onInventoryClick(InventoryClickEvent event) {

        if (event.getView().getTitle() == "Kit Art Auswählen") {
            if (event.getCurrentItem().getItemMeta().hasLocalizedName()) {
                Player player = (Player) event.getWhoClicked();
                event.setCancelled(true);


                switch (event.getCurrentItem().getItemMeta().getLocalizedName()) {
                    case "KitKat_OP":
                        Inventory inventoryOP = Bukkit.createInventory(null, 5 * 9, "Kit Auswählen");

                        inventoryOP.setItem(11, new ItemBuilder(Material.NETHERITE_CHESTPLATE).setDisplayname("Test Kit OP").setLocalizedName("Kit_OP_Test").build());

                        inventoryOP.setItem(13, new ItemBuilder(Material.NETHERITE_CHESTPLATE).setDisplayname("Tank Kit OP").setLocalizedName("Kit_OP_Test_Tank").build());

                        player.openInventory(inventoryOP);

                        break;

                    case "KitKat_Player":
                        Inventory inventoryPlayer = Bukkit.createInventory(null, 5 * 9, "Kit Auswählen für Spieler");

                        inventoryPlayer.setItem(11, new ItemBuilder(Material.NETHERITE_CHESTPLATE).setDisplayname("Test Kit OP").setLocalizedName("Kit_Test").build());


                        player.openInventory(inventoryPlayer);
                        break;


                }


            }
        } else if (event.getView().getTitle() == "Kit Auswählen") {
            if (event.getCurrentItem().getItemMeta().hasLocalizedName()) {
                Player player = (Player) event.getWhoClicked();
                event.setCancelled(true);
                switch (event.getCurrentItem().getItemMeta().getLocalizedName()) {
                    case "Kit_OP_Test":

                        SelectedOPKit.setKit("TestOP");


                        break;
                    case "Kit_OP_Test_Tank":

                        SelectedOPKit.setKit("TestTank");


                        break;
                }
            }


        }


    }
}

